import org.eclipse.swt.SWT;
import org.eclipse.swt.events.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.graphics.*;
import org.eclipse.swt.layout.*;

public class ShowDialogExample {
  Display display;
  Shell shell;

  ShowDialogExample() {
    display = new Display();
    shell = new Shell(display);
    shell.setSize(200, 150);
    shell.setText("A FontDialog Example");
    
    shell.setLayout(new FillLayout(SWT.VERTICAL));
	final Text text = new Text(shell, SWT.BORDER | SWT.MULTI);
	text.setText("Change Font and Color");
    final Button button1 = new Button(shell, SWT.PUSH | SWT.HORIZONTAL);
    button1.setText("Font Dialog");
    button1.addSelectionListener(new SelectionAdapter() {
      public void widgetSelected(SelectionEvent e) {
        FontDialog dialog = new FontDialog(shell, SWT.NONE);
        dialog.setRGB(new RGB(0, 0, 255));
        FontData defaultFont = new FontData("Arial", 15, SWT.BOLD);
        dialog.setFontData(defaultFont);
        FontData newFont = dialog.open();
        if (newFont == null)
          return;
      text.setFont(new Font(display, newFont));
       text.setForeground(new Color(display, dialog.getRGB()));
      }
    });
    final Button button2 = new Button(shell, SWT.PUSH | SWT.HORIZONTAL);
	button2.setText("Color Dialog");
    button2.addSelectionListener(new SelectionAdapter() {
      public void widgetSelected(SelectionEvent e) {
        ColorDialog dialog = new ColorDialog(shell);
        dialog.setRGB(new RGB(255, 255, 255));
        RGB newColor = dialog.open();
        if (newColor == null) {
          return;
        }
        text.setBackground(new Color(display, newColor));
      }
    });
    shell.open();
    while (!shell.isDisposed()) {
    if (!display.readAndDispatch())
        display.sleep();
    }
    display.dispose();
  }
    public static void main(String[] argv) {
    new ShowDialogExample();
  }
}



































